## duktape 1.5.0

=== debian/changelog ===
duktape (1.5.0-1) unstable; urgency=medium

  * Initial release (Closes: #827773)

 -- Thorsten Alteholz <debian@alteholz.de>  Mon, 20 Jun 2016 21:26:11 +0200
