## duktape 2.0.0

=== debian/changelog ===
duktape (2.0.0-1) unstable; urgency=medium

  * New upstream release

 -- Thorsten Alteholz <debian@alteholz.de>  Tue, 24 Jan 2017 19:12:39 +0100

duktape (1.6.0-1) unstable; urgency=medium

  * new upstream version
  * debian/control: add VCS URLs

 -- Thorsten Alteholz <debian@alteholz.de>  Mon, 12 Dec 2016 18:30:11 +0100

duktape (1.5.1-1) unstable; urgency=medium

  * new upstream version
  * debian/control: move maintainer to debian-iot-team

 -- Thorsten Alteholz <debian@alteholz.de>  Sat, 15 Oct 2016 11:30:11 +0200
