=== debian/control ===
--- 
+++ 
@@ -1,12 +1,13 @@
 Source: duktape
 Section: interpreters
 Priority: optional
-Maintainer: Thorsten Alteholz <debian@alteholz.de>
+Maintainer: Debian IoT Maintainers <debian-iot-maintainers@lists.alioth.debian.org>
+Uploaders: Thorsten Alteholz <debian@alteholz.de>
 Build-Depends: debhelper (>=9)
 Standards-Version: 3.9.8
 Homepage: http://duktape.org
-#Vcs-Git: git://anonscm.debian.org/collab-maint/duktape.git
-#Vcs-Browser: https://anonscm.debian.org/cgit/collab-maint/duktape.git
+Vcs-Browser: https://anonscm.debian.org/cgit/debian-iot/duktape.git
+Vcs-Git: https://anonscm.debian.org/git/debian-iot/duktape.git
 
 Package: duktape
 Architecture: any
