=== debian/rules ===
#!/usr/bin/make -f
#export DH_VERBOSE = 1


# does not seem to work here, so no debug stuff
export DEB_BUILD_OPTIONS=noddebs

%:
	dh $@ 

override_dh_auto_build:
	make -f Makefile.sharedlibrary
	make -f Makefile.cmdline
	dh_auto_build

override_dh_auto_clean:
	rm -f duk
	rm -f libduktaped.so.*
	rm -f libduktape.so.*
	dh_auto_clean
