## duktape 2.1.1

=== debian/changelog ===
duktape (2.1.1-1) unstable; urgency=medium

  * New upstream release
  * debian/control: set standard to 4.0.1 (no changes)
  * debian/rules: replace DH_BUILD_OPTIONS by DH_BUILD_MAINT_OPTIONS

 -- Thorsten Alteholz <debian@alteholz.de>  Sun, 13 Aug 2017 20:03:07 +0200
