=== debian/control ===
--- 
+++ 
@@ -4,7 +4,7 @@
 Maintainer: Debian IoT Maintainers <debian-iot-maintainers@lists.alioth.debian.org>
 Uploaders: Thorsten Alteholz <debian@alteholz.de>
 Build-Depends: debhelper (>=9)
-Standards-Version: 3.9.8
+Standards-Version: 4.0.1
 Homepage: http://duktape.org
 Vcs-Browser: https://anonscm.debian.org/cgit/debian-iot/duktape.git
 Vcs-Git: https://anonscm.debian.org/git/debian-iot/duktape.git
