=== debian/rules ===
--- 
+++ 
@@ -3,7 +3,7 @@
 
 
 # does not seem to work here, so no debug stuff
-export DEB_BUILD_OPTIONS=noddebs
+export DEB_BUILD_MAINT_OPTIONS=noddebs
 
 %:
 	dh $@
