=== debian/changelog ===
duktape (2.2.0-3) unstable; urgency=medium

  * add pkg-config file (Closes: #882379)

 -- Thorsten Alteholz <debian@alteholz.de>  Fri, 24 Nov 2017 19:23:21 +0200

duktape (2.2.0-2) unstable; urgency=medium

  * add correct library link to dev-package (Closes: #879858)

 -- Thorsten Alteholz <debian@alteholz.de>  Thu, 26 Oct 2017 19:23:21 +0200

duktape (2.2.0-1) unstable; urgency=medium

  * New upstream release
  * debian/control: set standard to 4.1.1 (no changes)
  * debian/control: use dh10
  * add library package (Closes: #872040)

 -- Thorsten Alteholz <debian@alteholz.de>  Wed, 25 Oct 2017 19:16:35 +0200
