=== debian/watch ===
version=4

# PGP signature mangle, so foo.tar.gz has foo.tar.gz.sig
#opts="pgpsigurlmangle=s%$%.sig%"

# HTTP site (basic)
http://duktape.org/download.html \
 duktape-([\d\.]+)\.tar\.xz debian uupdate
