## duktape 2.3.0

=== debian/changelog ===
duktape (2.3.0-1) unstable; urgency=medium

  * New upstream release
  * add symbols file
  * add debug symbols for dbg package

 -- Thorsten Alteholz <debian@alteholz.de>  Tue, 14 Aug 2018 22:12:45 +0200

duktape (2.2.1-1) unstable; urgency=medium

  * New upstream release
  * debian/control: set standard to 4.1.5 (no changes)
  * debian/control: use dh11
  * debian/control: use salsa URLs

 -- Thorsten Alteholz <debian@alteholz.de>  Sat, 07 Jul 2018 10:52:52 +0200
