=== debian/control ===
--- 
+++ 
@@ -3,12 +3,12 @@
 Priority: optional
 Maintainer: Debian IoT Maintainers <debian-iot-maintainers@lists.alioth.debian.org>
 Uploaders: Thorsten Alteholz <debian@alteholz.de>
-Build-Depends: debhelper (>=10)
+Build-Depends: debhelper (>=11)
 	, dh-exec
-Standards-Version: 4.1.1
+Standards-Version: 4.1.5
 Homepage: http://duktape.org
-Vcs-Browser: https://anonscm.debian.org/cgit/debian-iot/duktape.git
-Vcs-Git: https://anonscm.debian.org/git/debian-iot/duktape.git
+Vcs-Browser: https://salsa.debian.org/debian-iot-team/duktape
+Vcs-Git: https://salsa.debian.org/debian-iot-team/duktape.git
 
 Package: duktape
 Architecture: any
@@ -45,7 +45,7 @@
 Architecture: any
 Section: libdevel
 Depends: ${misc:Depends}
-	, libduktape202 (= ${binary:Version})
+	, libduktape203 (= ${binary:Version})
 Description: embeddable Javascript engine, development files
  Duktape is an embeddable Javascript engine, with a focus on portability
  and compact footprint.
@@ -56,9 +56,10 @@
  .
  This package contains all source files to use in own projects.
 
-Package: libduktape202
+Package: libduktape203
 Architecture: any
 Multi-Arch: same
+Section: libs
 Depends: ${shlibs:Depends}
 	, ${misc:Depends}
 Description: embeddable Javascript engine, library
@@ -70,17 +71,3 @@
  functions from C code and vice versa.
  .
  This package contains the shared library.
-
-
-
-
-
-
-
-
-
-
-
-
-
-
