=== debian/rules ===
--- 
+++ 
@@ -6,14 +6,17 @@
 export DEB_BUILD_MAINT_OPTIONS=noddebs
 
 %:
-	dh $@ 
+	dh $@
 
 override_dh_auto_build:
-	make -f Makefile.sharedlibrary
+	mkdir -p tmp-build/lib tmp-build/include
+	make -f Makefile.sharedlibrary install
 	make -f Makefile.cmdline
+	cat debian/duktape.pc.in|sed "s/#TRIPLE#/$(DEB_HOST_MULTIARCH)/g" > debian/duktape.pc
 	dh_auto_build
 
 override_dh_auto_clean:
+	rm -rf tmp-build
 	rm -f duk
 	rm -f libduktaped.so.*
 	rm -f libduktape.so.*
