## duktape 2.4.0

=== debian/changelog ===
duktape (2.4.0-1) unstable; urgency=medium

  * New upstream release
  * debian/control: new soname
  * debian/control: set standard to 4.3.0 (no changes)
  * add debian/salsa-ci.yml

 -- Thorsten Alteholz <debian@alteholz.de>  Sat, 10 Aug 2019 19:12:02 +0200
