=== debian/control ===
--- 
+++ 
@@ -5,7 +5,7 @@
 Uploaders: Thorsten Alteholz <debian@alteholz.de>
 Build-Depends: debhelper (>=11)
 	, dh-exec
-Standards-Version: 4.1.5
+Standards-Version: 4.3.0
 Homepage: http://duktape.org
 Vcs-Browser: https://salsa.debian.org/debian-iot-team/duktape
 Vcs-Git: https://salsa.debian.org/debian-iot-team/duktape.git
@@ -45,7 +45,7 @@
 Architecture: any
 Section: libdevel
 Depends: ${misc:Depends}
-	, libduktape203 (= ${binary:Version})
+	, libduktape204 (= ${binary:Version})
 Description: embeddable Javascript engine, development files
  Duktape is an embeddable Javascript engine, with a focus on portability
  and compact footprint.
@@ -56,7 +56,7 @@
  .
  This package contains all source files to use in own projects.
 
-Package: libduktape203
+Package: libduktape204
 Architecture: any
 Multi-Arch: same
 Section: libs
