=== debian/changelog ===
duktape (2.5.0-1) unstable; urgency=medium

  * New upstream release

 -- Thorsten Alteholz <debian@alteholz.de>  Sun, 08 Dec 2019 23:26:57 +0000

duktape (2.4.0-2) unstable; urgency=medium

  * Fix FTCBFS: Let dh_auto_build pass cross tools to make.
    Thanks to Helmut Grohne for the patch.
    (Closes: #926608)

 -- Thorsten Alteholz <debian@alteholz.de>  Sun, 06 Oct 2019 19:12:02 +0200
