=== debian/control ===
--- 
+++ 
@@ -45,7 +45,7 @@
 Architecture: any
 Section: libdevel
 Depends: ${misc:Depends}
-	, libduktape204 (= ${binary:Version})
+	, libduktape205 (= ${binary:Version})
 Description: embeddable Javascript engine, development files
  Duktape is an embeddable Javascript engine, with a focus on portability
  and compact footprint.
@@ -56,7 +56,7 @@
  .
  This package contains all source files to use in own projects.
 
-Package: libduktape204
+Package: libduktape205
 Architecture: any
 Multi-Arch: same
 Section: libs
