=== debian/rules ===
--- 
+++ 
@@ -10,8 +10,8 @@
 
 override_dh_auto_build:
 	mkdir -p tmp-build/lib tmp-build/include
-	make -f Makefile.sharedlibrary install
-	make -f Makefile.cmdline
+	dh_auto_build --buildsystem=makefile -- -f Makefile.sharedlibrary install
+	dh_auto_build --buildsystem=makefile -- -f Makefile.cmdline
 	cat debian/duktape.pc.in|sed "s/#TRIPLE#/$(DEB_HOST_MULTIARCH)/g" > debian/duktape.pc
 	dh_auto_build
