=== debian/changelog ===
duktape (2.7.0-2) unstable; urgency=medium

  * add -lm to LDFLAGS for libduktape
    (Closes: #1031801)

 -- Thorsten Alteholz <debian@alteholz.de>  Sat, 25 Feb 2023 12:31:54 +0100

duktape (2.7.0-1) unstable; urgency=medium

  * New upstream release
  * debian/control: set standard to 4.6.0 (no changes)
  * debian/control: set Rules-Requires-Root:

 -- Thorsten Alteholz <debian@alteholz.de>  Mon, 21 Feb 2022 18:31:54 +0000

duktape (2.6.0-2) unstable; urgency=medium

  * upload to unstable
  * debian/control: set standard to 4.5.1 (no changes)

 -- Thorsten Alteholz <debian@alteholz.de>  Wed, 18 Aug 2021 19:26:34 +0200

duktape (2.6.0-1) experimental; urgency=medium

  * New upstream release
  * debian/control: soname bump
  * debian/control: use dh13

 -- Thorsten Alteholz <debian@alteholz.de>  Fri, 06 Aug 2021 23:36:04 +0200

duktape (2.5.0-2) unstable; urgency=medium

  * debian/copyright: update file (Closes: #951903)
  * debian/control: set standard to 4.5.0 (no changes)

  [janitor]
  * Use secure URI in Homepage field.
  * Bump debhelper from old 11 to 12.
  * Set debhelper-compat version in Build-Depends.
  * Update standards version to 4.4.1, no changes needed.

 -- Thorsten Alteholz <debian@alteholz.de>  Sat, 14 Mar 2020 16:44:16 +0100
