=== debian/control ===
--- 
+++ 
@@ -3,12 +3,13 @@
 Priority: optional
 Maintainer: Debian IoT Maintainers <debian-iot-maintainers@lists.alioth.debian.org>
 Uploaders: Thorsten Alteholz <debian@alteholz.de>
-Build-Depends: debhelper (>=11)
+Build-Depends: debhelper-compat (= 13)
 	, dh-exec
-Standards-Version: 4.3.0
-Homepage: http://duktape.org
+Standards-Version: 4.6.0
+Homepage: https://duktape.org
 Vcs-Browser: https://salsa.debian.org/debian-iot-team/duktape
 Vcs-Git: https://salsa.debian.org/debian-iot-team/duktape.git
+Rules-Requires-Root: no
 
 Package: duktape
 Architecture: any
@@ -45,7 +46,7 @@
 Architecture: any
 Section: libdevel
 Depends: ${misc:Depends}
-	, libduktape205 (= ${binary:Version})
+	, libduktape207 (= ${binary:Version})
 Description: embeddable Javascript engine, development files
  Duktape is an embeddable Javascript engine, with a focus on portability
  and compact footprint.
@@ -56,7 +57,7 @@
  .
  This package contains all source files to use in own projects.
 
-Package: libduktape205
+Package: libduktape207
 Architecture: any
 Multi-Arch: same
 Section: libs
