=== debian/rules ===
--- 
+++ 
@@ -4,6 +4,7 @@
 
 # does not seem to work here, so no debug stuff
 export DEB_BUILD_MAINT_OPTIONS=noddebs
+export LDFLAGS+=-lm -Wl,--no-as-needed
 
 %:
 	dh $@
