=== debian/changelog ===
duktape (2.7.0+tests-0ubuntu3) noble; urgency=high

  * No change rebuild for 64-bit time_t and frame pointers.

 -- Julian Andres Klode <juliank@ubuntu.com>  Mon, 08 Apr 2024 17:56:50 +0200

duktape (2.7.0+tests-0ubuntu2) mantic; urgency=medium

  * debian/patches/disable-tests.patch:
    - include extra tests which are failing on other archs
    
  [ Amin Bandali ]
  * debian/tests:
    - build and run some of the examples as autopkgtests

 -- Sebastien Bacher <seb128@ubuntu.com>  Tue, 20 Jun 2023 22:01:03 +0200

duktape (2.7.0+tests-0ubuntu1) mantic; urgency=medium

  * Include and run upstream API tests for LP:#1997417.
    - Orig tarball repacked to include missing test files and dependencies.
    - debian/tests: run as autopkgtests.
    - debian/patches/disable-tests.diff: Disable 5 tests that don't pass.

 -- Nathan Pratta Teodosio <nathan.teodosio@canonical.com>  Tue, 20 Jun 2023 13:10:29 +0200
