=== debian/control ===
--- 
+++ 
@@ -1,7 +1,8 @@
 Source: duktape
 Section: interpreters
 Priority: optional
-Maintainer: Debian IoT Maintainers <debian-iot-maintainers@lists.alioth.debian.org>
+Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
+XSBC-Original-Maintainer: Debian IoT Maintainers <debian-iot-maintainers@lists.alioth.debian.org>
 Uploaders: Thorsten Alteholz <debian@alteholz.de>
 Build-Depends: debhelper-compat (= 13)
 	, dh-exec
